package com.mortals.xhx.module.matters.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matters.model.vo.MattersThemeVo;
/**
* 主题实体对象
*
* @author zxfei
* @date 2022-03-30
*/

public class MattersThemeEntity extends MattersThemeVo {
    private static final long serialVersionUID = 1L;

    /**
    * 服务类型编号
    */
    private String usertypeCode;
    /**
    * 主题编号
    */
    private String themeCode;
    /**
    * 主题名称
    */
    private String name;



    public MattersThemeEntity(){}
    /**
    * 获取 服务类型编号
    * @return String
    */
    public String getUsertypeCode(){
        return usertypeCode;
    }
    /**
    * 设置 服务类型编号
    * @param usertypeCode
    */
    public void setUsertypeCode(String usertypeCode){
        this.usertypeCode = usertypeCode;
    }
    /**
    * 获取 主题编号
    * @return String
    */
    public String getThemeCode(){
        return themeCode;
    }
    /**
    * 设置 主题编号
    * @param themeCode
    */
    public void setThemeCode(String themeCode){
        this.themeCode = themeCode;
    }
    /**
    * 获取 主题名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 主题名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MattersThemeEntity) {
            MattersThemeEntity tmp = (MattersThemeEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",usertypeCode:").append(getUsertypeCode());
        sb.append(",themeCode:").append(getThemeCode());
        sb.append(",name:").append(getName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.usertypeCode = null;

            this.themeCode = null;

            this.name = null;
    }
}